summaryrefslogtreecommitdiff
path: root/qa/513
diff options
context:
space:
mode:
Diffstat (limited to 'qa/513')
-rwxr-xr-xqa/51325
1 files changed, 25 insertions, 0 deletions
diff --git a/qa/513 b/qa/513
new file mode 100755
index 0000000..38c5945
--- /dev/null
+++ b/qa/513
@@ -0,0 +1,25 @@
+#!/bin/sh
+# PCP QA Test No. 513
+# Verify handling of corrupt PDUs
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+rm -f $seq.out $seq.full
+if [ $PCP_VER -ge 3800 ]; then
+ ln $seq.out.2 $seq.out
+else
+ ln $seq.out.1 $seq.out
+fi
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_run_valgrind src/pducrash